export declare type Platform = "pc" | "mobile" | "daas";
export declare type ConfigSchema = {
    [key: string]: string | ConfigSchema;
};
export interface ColorScheme {
    gray?: string;
    primary?: string;
    info?: string;
    success?: string;
    warning?: string;
    error?: string;
    link?: string;
}
export interface OuterScheme {
    fontSizeDisplayLg?: string;
    fontSizeDisplayMd?: string;
    fontSizeDisplaySm?: string;
    fontSizeTitleLg?: string;
    fontSizeTitleMd?: string;
    fontSizeTitleSm?: string;
    fontSizeBodyLg?: string;
    fontSizeBodyMd?: string;
    fontSizeBodySm?: string;
    marginXxxl?: string;
    marginXxl?: string;
    marginXl?: string;
    marginLg?: string;
    marginMd?: string;
    marginSm?: string;
    marginXs?: string;
    marginXxs?: string;
    paddingXxxl?: string;
    paddingXxl?: string;
    paddingXl?: string;
    paddingLg?: string;
    paddingMd?: string;
    paddingSm?: string;
    paddingXs?: string;
    paddingXxs?: string;
    sizeLg?: string;
    sizeMd?: string;
    sizeSm?: string;
    colorFont1?: string;
    colorFont2?: string;
    colorFont3?: string;
    colorFont4?: string;
    colorFill1?: string;
    colorFill2?: string;
    colorFill3?: string;
    colorFill4?: string;
    selectedColor?: string;
    selectedBg?: string;
    selectedHoverBg?: string;
    placeholderColor?: string;
    maskBg?: string;
}
export interface CommonScheme {
    color?: ColorScheme;
    other?: OuterScheme;
}
